/***************************************************************************
                          klatin.h  -  description
                             -------------------
    begin                : Tue Dec 18 17:47:22 GMT 2001
    copyright            : (C) 2001 by George Wright
    email                : gwright@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KLATIN_H
#define KLATIN_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>

#include <kapp.h>
#include <kmainwindow.h>

#include "klatinchooseui.h"
#include "klatinvocabui.h"
#include "klatinvocabloginui.h"
#include "klatingrammarloginui.h"
#include "klatingrammarui.h"

/** KLatin is the base class of the project */
class KLatin : public KMainWindow
{
	Q_OBJECT
	public:
		KLatin(QWidget* parent=0, const char *name=0);
		~KLatin();
		
		void setConnections();
		
		KLatinChooseUI *klatinchoose;
		KLatinVocabUI *klatinvocab;
		KLatinVocabLoginUI *klatinvocablogin;
		KLatinGrammarLoginUI *klatingrammarlogin;
		KLatinGrammarUI	*klatingrammar;
	public slots:
		void loadNext();
		void loadVocab();
		void loadGrammar();
		void backFromLogin();
		void backFromVocab();
		void backFromGrammarLogin();
		void setupLtoE();
		void setupEtoL();
		void setupGrammar();
		void checkGrammarAnswer();
		void checkAnswer1();
		void checkAnswer2();
		void checkAnswer3();
		void checkAnswer4();
};

#endif
